diff --git a/compiler/coreSyn/CoreLint.lhs b/compiler/coreSyn/CoreLint.lhs
index 2b76a4a..3222ee7 100644
--- a/compiler/coreSyn/CoreLint.lhs
+++ b/compiler/coreSyn/CoreLint.lhs
@@ -1332,70 +1326,70 @@ integerScrutinisedMsg
 mkBadAltMsg :: Type -> CoreAlt -> MsgDoc
 mkBadAltMsg scrut_ty alt
   = vcat [ text "Data alternative when scrutinee is not a tycon application",
-	   text "Scrutinee type:" <+> ppr scrut_ty,
-	   text "Alternative:" <+> pprCoreAlt alt ]
+           text "Scrutinee type:" <+> ppr scrut_ty,
+           text "Alternative:" <+> pprCoreAlt alt ]
 
 mkNewTyDataConAltMsg :: Type -> CoreAlt -> MsgDoc
 mkNewTyDataConAltMsg scrut_ty alt
   = vcat [ text "Data alternative for newtype datacon",
-	   text "Scrutinee type:" <+> ppr scrut_ty,
-	   text "Alternative:" <+> pprCoreAlt alt ]
+           text "Scrutinee type:" <+> ppr scrut_ty,
+           text "Alternative:" <+> pprCoreAlt alt ]
 
 
 ------------------------------------------------------
---	Other error messages
+--      Other error messages
 
 mkAppMsg :: Type -> Type -> CoreExpr -> MsgDoc
 mkAppMsg fun_ty arg_ty arg
   = vcat [ptext (sLit "Argument value doesn't match argument type:"),
-	      hang (ptext (sLit "Fun type:")) 4 (ppr fun_ty),
-	      hang (ptext (sLit "Arg type:")) 4 (ppr arg_ty),
-	      hang (ptext (sLit "Arg:")) 4 (ppr arg)]
+              hang (ptext (sLit "Fun type:")) 4 (ppr fun_ty),
+              hang (ptext (sLit "Arg type:")) 4 (ppr arg_ty),
+              hang (ptext (sLit "Arg:")) 4 (ppr arg)]
 
 mkNonFunAppMsg :: Type -> Type -> CoreExpr -> MsgDoc
 mkNonFunAppMsg fun_ty arg_ty arg
   = vcat [ptext (sLit "Non-function type in function position"),
-	      hang (ptext (sLit "Fun type:")) 4 (ppr fun_ty),
-	      hang (ptext (sLit "Arg type:")) 4 (ppr arg_ty),
-	      hang (ptext (sLit "Arg:")) 4 (ppr arg)]
+              hang (ptext (sLit "Fun type:")) 4 (ppr fun_ty),
+              hang (ptext (sLit "Arg type:")) 4 (ppr arg_ty),
+              hang (ptext (sLit "Arg:")) 4 (ppr arg)]
 
 mkLetErr :: TyVar -> CoreExpr -> MsgDoc
 mkLetErr bndr rhs
   = vcat [ptext (sLit "Bad `let' binding:"),
-	  hang (ptext (sLit "Variable:"))
-		 4 (ppr bndr <+> dcolon <+> ppr (varType bndr)),
-	  hang (ptext (sLit "Rhs:"))   
-	         4 (ppr rhs)]
+          hang (ptext (sLit "Variable:"))
+                 4 (ppr bndr <+> dcolon <+> ppr (varType bndr)),
+          hang (ptext (sLit "Rhs:"))   
+                 4 (ppr rhs)]
 
 mkTyAppMsg :: Type -> Type -> MsgDoc
 mkTyAppMsg ty arg_ty
   = vcat [text "Illegal type application:",
-	      hang (ptext (sLit "Exp type:"))
-		 4 (ppr ty <+> dcolon <+> ppr (typeKind ty)),
-	      hang (ptext (sLit "Arg type:"))   
-	         4 (ppr arg_ty <+> dcolon <+> ppr (typeKind arg_ty))]
+              hang (ptext (sLit "Exp type:"))
+                 4 (ppr ty <+> dcolon <+> ppr (typeKind ty)),
+              hang (ptext (sLit "Arg type:"))   
+                 4 (ppr arg_ty <+> dcolon <+> ppr (typeKind arg_ty))]
 
 mkRhsMsg :: Id -> SDoc -> Type -> MsgDoc
 mkRhsMsg binder what ty
   = vcat
     [hsep [ptext (sLit "The type of this binder doesn't match the type of its") <+> what <> colon,
-	    ppr binder],
+            ppr binder],
      hsep [ptext (sLit "Binder's type:"), ppr (idType binder)],
      hsep [ptext (sLit "Rhs type:"), ppr ty]]
 
 mkRhsPrimMsg :: Id -> CoreExpr -> MsgDoc
 mkRhsPrimMsg binder _rhs
   = vcat [hsep [ptext (sLit "The type of this binder is primitive:"),
-		     ppr binder],
-	      hsep [ptext (sLit "Binder's type:"), ppr (idType binder)]
-	     ]
+                     ppr binder],
+              hsep [ptext (sLit "Binder's type:"), ppr (idType binder)]
+             ]
 
 mkStrictMsg :: Id -> MsgDoc
 mkStrictMsg binder
   = vcat [hsep [ptext (sLit "Recursive or top-level binder has strict demand info:"),
-		     ppr binder],
-	      hsep [ptext (sLit "Binder's demand info:"), ppr (idDemandInfo binder)]
-	     ]
+                     ppr binder],
+              hsep [ptext (sLit "Binder's demand info:"), ppr (idDemandInfo binder)]
+             ]
 
 mkNonTopExportedMsg :: Id -> MsgDoc
 mkNonTopExportedMsg binder
@@ -1408,20 +1402,20 @@ mkNonTopExternalNameMsg binder
 mkKindErrMsg :: TyVar -> Type -> MsgDoc
 mkKindErrMsg tyvar arg_ty
   = vcat [ptext (sLit "Kinds don't match in type application:"),
-	  hang (ptext (sLit "Type variable:"))
-		 4 (ppr tyvar <+> dcolon <+> ppr (tyVarKind tyvar)),
-	  hang (ptext (sLit "Arg type:"))   
-	         4 (ppr arg_ty <+> dcolon <+> ppr (typeKind arg_ty))]
+          hang (ptext (sLit "Type variable:"))
+                 4 (ppr tyvar <+> dcolon <+> ppr (tyVarKind tyvar)),
+          hang (ptext (sLit "Arg type:"))   
+                 4 (ppr arg_ty <+> dcolon <+> ppr (typeKind arg_ty))]
 
 mkArityMsg :: Id -> MsgDoc
 mkArityMsg binder
   = vcat [hsep [ptext (sLit "Demand type has"),
-               	ppr (dmdTypeDepth dmd_ty),
-               	ptext (sLit "arguments, rhs has"),
-               	ppr (idArity binder),
-               	ptext (sLit "arguments,"),
-	       	ppr binder],
-	      hsep [ptext (sLit "Binder's strictness signature:"), ppr dmd_ty]
+                ppr (dmdTypeDepth dmd_ty),
+                ptext (sLit "arguments, rhs has"),
+                ppr (idArity binder),
+                ptext (sLit "arguments,"),
+                ppr binder],
+              hsep [ptext (sLit "Binder's strictness signature:"), ppr dmd_ty]
 
          ]
            where (StrictSig dmd_ty) = idStrictness binder
@@ -1429,8 +1423,8 @@ mkArityMsg binder
 mkCastErr :: CoreExpr -> Coercion -> Type -> Type -> MsgDoc
 mkCastErr expr co from_ty expr_ty
   = vcat [ptext (sLit "From-type of Cast differs from type of enclosed expression"),
-	  ptext (sLit "From-type:") <+> ppr from_ty,
-	  ptext (sLit "Type of enclosed expr:") <+> ppr expr_ty,
+          ptext (sLit "From-type:") <+> ppr from_ty,
+          ptext (sLit "Type of enclosed expr:") <+> ppr expr_ty,
           ptext (sLit "Actual enclosed expr:") <+> ppr expr,
           ptext (sLit "Coercion used in cast:") <+> ppr co
          ]
